Get settings

Base URL
https://{kibana_url}
  • GET /api/fleet/settings
  • GET /s/{space_id}/api/fleet/settings
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

OK

application/json
item object required
delete_unenrolled_agents object
enabled boolean
is_preconfigured boolean
fleet_server_hosts string[] required deprecated
has_seen_add_data_notice boolean
id string required
prerelease_integrations_enabled boolean

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}